curl "https://api.nedzo.ai/v1/workflows/action-types" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"items": [
{
"type": "sendWebhook",
"name": "Webhook",
"description": "Sends data to another system with an HTTP request.",
"enabled": true,
"configSchema": {
"url": { "type": "string", "required": true },
"method": { "type": "string", "required": true, "enum": ["GET", "POST", "PUT", "PATCH", "DELETE"] },
"headers": { "type": "object", "required": false },
"body": { "type": "string", "required": false }
}
},
{
"type": "updateLeadConnectorContact",
"name": "Update Lead Connector contact",
"description": "Changes the contact in Lead Connector.",
"enabled": true
}
]
}
Workflows
Step types
List the triggers that can start a workflow and the steps it can run.
GET
/
workflows
/
action-types
curl "https://api.nedzo.ai/v1/workflows/action-types" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"items": [
{
"type": "sendWebhook",
"name": "Webhook",
"description": "Sends data to another system with an HTTP request.",
"enabled": true,
"configSchema": {
"url": { "type": "string", "required": true },
"method": { "type": "string", "required": true, "enum": ["GET", "POST", "PUT", "PATCH", "DELETE"] },
"headers": { "type": "object", "required": false },
"body": { "type": "string", "required": false }
}
},
{
"type": "updateLeadConnectorContact",
"name": "Update Lead Connector contact",
"description": "Changes the contact in Lead Connector.",
"enabled": true
}
]
}
These endpoints are for the VIP plan only. Other plans get a
403. See Plan access.nodes of a workflow.
GET /v1/workflows/trigger-types: the events that can start a workflow. The first step of a workflow is one of these.GET /v1/workflows/action-types: the steps a workflow can run.
type to use in a step, a name, a description and enabled. A type with "comingSoon": true cannot be used yet. Some types have a configSchema that lists the settings the step takes.
The API cannot give you a workflow’s webhook address yet. To start a workflow with the webhook trigger, copy its address from the dashboard.
curl "https://api.nedzo.ai/v1/workflows/action-types" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"items": [
{
"type": "sendWebhook",
"name": "Webhook",
"description": "Sends data to another system with an HTTP request.",
"enabled": true,
"configSchema": {
"url": { "type": "string", "required": true },
"method": { "type": "string", "required": true, "enum": ["GET", "POST", "PUT", "PATCH", "DELETE"] },
"headers": { "type": "object", "required": false },
"body": { "type": "string", "required": false }
}
},
{
"type": "updateLeadConnectorContact",
"name": "Update Lead Connector contact",
"description": "Changes the contact in Lead Connector.",
"enabled": true
}
]
}
Was this page helpful?
